#include "animatedpixmap.h"
#include <QPropertyAnimation>

// Note that since this object inherits from both QObject and QGraphicsItem,
// there's two different object hierarchies in use. There's no need to use
// the QObject hierarchy, but graphics item hierarchy is needed so the
// coordinate systems work correctly
AnimatedPixmap::AnimatedPixmap(const QPixmap &pixmap, QGraphicsItem *parent) :
    QObject(), QGraphicsPixmapItem(pixmap, parent)
{
    animation = new QPropertyAnimation(this, "xpos", this);
    animation->setLoopCount(1);
    animation->setEndValue(0);
    animation->setDuration(500);
}

void AnimatedPixmap::setXPos(qreal xpos)
{
    QTransform transform;
    transform.translate(xpos, 0);
    setTransform(transform, false);
}

qreal AnimatedPixmap::xpos() const
{
    // Animation framework is not interested about this
    return 0;
}
