#ifndef MUSICLIBRARYGUI_H
#define MUSICLIBRARYGUI_H

#include <QMainWindow>
#include <QPropertyAnimation>

namespace Ui {
    class MusicLibraryGUI;
}

class MusicLibrary;
class MusicLibraryModel;
class QGraphicsScene;
class QItemSelection;
class QGraphicsItem;
class AnimatedPixmap;

class MusicLibraryGUI : public QMainWindow
{
    Q_OBJECT

public:
    MusicLibraryGUI(QWidget *parent = 0);
    ~MusicLibraryGUI();

protected:
    void changeEvent(QEvent *e);
    void timerEvent(QTimerEvent *e);

private:
    void setupScene();
    void updateScene();

private slots:
    void listChanged(int index);
    void treeSelectionChanged(const QItemSelection &, const QItemSelection &);
    void updateClicked();

private:
    Ui::MusicLibraryGUI *ui;
    MusicLibrary *library;
    MusicLibraryModel *model;
    QList<AnimatedPixmap *> coverImages;
    QPropertyAnimation animation;
    int currentIndex;
    bool forward;
};

#endif // MUSICLIBRARYGUI_H
